Subject: Re: bug#22479: 25.0.50; isearch and query-replace histories do not remember if we were looking for symbols

From: Dima Kogan <[email-masked]>
Date: Sat, 30 Jan 2016 03:43:28 -0800

On January 27, 2016 3:08:20 PM PST, Juri Linkov <[email-masked]> wrote:
>> Hi. It is possible to look for a symbol, and for this information to
>be
>> lost when repeating a search.
>> The simplest way to fix this would probably be to treat these as
>regex
>> searches wrapped in \_<...\_>. The downside is that to access the
>> history we'd have to do C-M-s C-M-s instead of C-s C-s, but maybe
>that
>> is ok. Thoughts?
>
>Thanks for the test cases.  We started designing the customizable
>variables
>for this feature in bug#11378, and reached no final implementation.
>What do you think about the proposal in bug#11378?
>
>Since the original subject of bug#11378 was quite different,
>I propose to close bug#11378, and leave this bug#22479 open
>to implement this feature here.

Hi. #11378 doesn't talk about keeping the meta-data in the history generically. It mentions remembering the state for the last search, but you'd still have the issue in this bug for older searches. So unless I missed it (very possible since it was a very long thread), that bug doesn't touch on this. We can propose new things, however :)

I don't know how much complexity we want here. Each history item can be a richer structure than just the search string. Too much?